View Issue Details

IDProjectCategoryView StatusLast Update
0003028gnunet-gtkgnunet-identity-gtkpublic2018-06-07 01:06
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target VersionFixed in Version0.11.0pre66 
Summary0003028: GUI does not interact with default egos for services
DescriptionRight now, the GUI is unaware of the mapping of a 'default ego' for a service (such as the master-zone or the sks-fs) by the identity service. As a result, users may (accidentally) delete those "special" egos (without getting a warning), and they cannot change the mapping. Also, the mappings are invisible to them.

The identity API also does not have a way to list all default mappings.

What we should do:
1) extend identity API to get all default mappings (notification-based)
2) display those mappings in the GUI
3) warn users about deleting egos associated with a service as the default
4) enable users to set the default ego for a service (least important,
   as this is the least common operation)
TagsNo tags attached.

Activities

Christian Grothoff

2018-06-07 01:06

manager   ~0013005

We got rid of the concept of default egos.

Issue History

Date Modified Username Field Change
2013-09-07 16:31 Christian Grothoff New Issue
2013-09-07 16:31 Christian Grothoff Status new => confirmed
2013-09-07 21:16 Christian Grothoff Priority normal => low
2013-10-20 20:33 Christian Grothoff Priority low => normal
2014-06-02 22:19 Christian Grothoff Target Version 0.11.0pre66 => 0.11.0
2014-12-12 01:24 Christian Grothoff Assigned To => Christian Grothoff
2014-12-12 01:24 Christian Grothoff Status confirmed => assigned
2015-01-18 18:26 Christian Grothoff Assigned To Christian Grothoff =>
2015-01-18 18:26 Christian Grothoff Status assigned => confirmed
2018-06-07 00:28 Christian Grothoff Target Version 0.11.0 =>
2018-06-07 01:06 Christian Grothoff Assigned To => Christian Grothoff
2018-06-07 01:06 Christian Grothoff Status confirmed => closed
2018-06-07 01:06 Christian Grothoff Resolution open => fixed
2018-06-07 01:06 Christian Grothoff Fixed in Version => 0.11.0pre66
2018-06-07 01:06 Christian Grothoff Note Added: 0013005